hw-prim-0.6.3.2: Primitive functions and data types

Safe Haskell | None
Language | Haskell2010

HaskellWorks.Data.FromByteString

Synopsis

- class FromByteString a where
  - fromByteString :: ByteString -> a

# Documentation

class FromByteString a where #

Class for byte-string-like datastructures

Methods

fromByteString :: ByteString -> a #

Convert a byte string to a value of type @a

#### Instances

Instances details

FromByteString (Vector Word16) # |
Instance details Defined in HaskellWorks.Data.FromByteString Methods fromByteString :: ByteString -> Vector Word16 #
FromByteString (Vector Word32) # |
Instance details Defined in HaskellWorks.Data.FromByteString Methods fromByteString :: ByteString -> Vector Word32 #
FromByteString (Vector Word64) # |
Instance details Defined in HaskellWorks.Data.FromByteString Methods fromByteString :: ByteString -> Vector Word64 #
FromByteString (Vector Word8) # |
Instance details Defined in HaskellWorks.Data.FromByteString Methods fromByteString :: ByteString -> Vector Word8 #
FromByteString (MVector s Word8) # |
Instance details Defined in HaskellWorks.Data.FromByteString Methods fromByteString :: ByteString -> MVector s Word8 #